<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['shkaf-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}
if(empty($_POST['shkaf'])) {puterror($result2['skin'],$TEXT['error-shkaf1']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['shkaf'])>255) {puterror($result2['skin'],$TEXT['error-shkaf2']); require_once "../utils/bottom_adm.php"; exit();}

if(isset($_POST['shkaf'])) {$shkaf=trim($_POST['shkaf']);}
 else {$shkaf ="";}
  if(empty($shkaf)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm.php"; exit();}

$_POST['shkaf'] = rep($_POST['shkaf']);

$query10 = mysqli_query($dbcnx,"SELECT COUNT(`shkaf_id`) AS c_shkaf_id FROM `tbl_shkaf` WHERE `shkaf`='".$_POST['shkaf']."' ");
$result10 = mysqli_fetch_array($query10);
 if($result10['c_shkaf_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

//*************************************
//Информация для лога
$ip = $_SERVER['REMOTE_ADDR'];
$doing = $TEXT['log-shkaf1'];
$what = $_POST['shkaf'];
$who = $result2['familiya']." ".$result2['name'];
//*************************************
$query = "INSERT INTO `tbl_shkaf` ( `shkaf_id` , `shkaf` ) VALUES ( NULL , '".$_POST['shkaf']."')";
 if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl9']); require_once "../utils/bottom_adm.php"; exit();}
require_once "../utils/bottom_adm.php";
?>